Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class BaseBitMap

    java.lang.Object
      com.ejie.r01f.util.BaseBitMap

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BaseStringBitMap

public class BaseBitMap
extends java.lang.Object
implements java.io.Serializable

Clase que encapsula un mapa de bits en un int (en Java los int son 4 bytes). Por ejemplo codificando en el último byte información de seguridad: ControlTotal ---------------------------------------------- Administrar Seguridad ----------------------------------- | Borrado ----------------------------------------------- | | Lectura --------------------------------------------- | | | Escritura ----------------------------------------- | | | | Crear ------------------------------------------- | | | | | | | | | | | 0 0 0 0 0 0 0 0 | 0 0 0 0 0 0 0 0 Por ejemplo: X X X 00011010: Puede administrar seguridad, leer y escribir pero no puede crear ni tiene control total

Author:
  Alex (EJIE)
See Also:
  Serialized Form

Constructor Summary
`BaseBitMap()` Constructor vacío
`BaseBitMap(int newBitMap)` Constructor en base a otro bitmap

Method Summary
`java.lang.String` | `composeDebugInfo()` Muestra información de depuración
`int` | `getBitMap()` Obtiene el bitmap en forma de entero
`void` | `incorporateBitMapInfo(BaseBitMap otherFlags)` Incorpora la información de bitMap de otro objeto que se pasa como parámetro.
`static void` | `main(java.lang.String[] args)` Main Method
`int` | `setBitMap(int theBitMap)` Establece el bitmap
`java.lang.String` | `toString()` Devuelve el bitmap en forma de cadena

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseBitMap

    public BaseBitMap()

  Constructor vacío

### BaseBitMap

    public BaseBitMap(int newBitMap)

  Constructor en base a otro bitmap

Method Detail

### getBitMap

    public int getBitMap()

  Obtiene el bitmap en forma de entero

  Returns:
    el bitmap

### setBitMap

    public int setBitMap(int theBitMap)

  Establece el bitmap

  Parameters:
    `theBitMap` - El nuevo bitmap
  Returns:
    el bitmap antiguo (antes de establecer el nuevo)

### incorporateBitMapInfo

    public void incorporateBitMapInfo(BaseBitMap otherFlags)

  Incorpora la información de bitMap de otro objeto que se pasa como parámetro. Lo que se hace realmente es un OR lógico con los flags de información

### composeDebugInfo

    public java.lang.String composeDebugInfo()

  Muestra información de depuración

  Returns:
    el bitmap en forma binaria (ceros y unos)

### toString

    public java.lang.String toString()

  Devuelve el bitmap en forma de cadena

  Returns:
    el bitmap en forma de ceros y unos

### main

    public static void main(java.lang.String[] args)

  Main Method

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD